MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031972Community[OCCT] OCCT:Application Frameworkpublic2020-12-02 13:012020-12-05 13:01
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031972: Application Framework, FSD_CmpFile - exception on reading file in old persistence format with Windows EOL
DescriptionReading file with Windows EOLs by FSD_CmpFile lead to unhandled exception and reading failure since 0029344:
TCollection_AsciiString::SetValue(): NULL terminator is passed
 could not retrieve , Type not found or Unrecognized File Format
DDocStd_Open : Error
Steps To ReproduceN/A
TagsNo tags attached.
Test case numbercaf/basic/W12
Attached Files

- Relationships
has duplicate 0031968closedbugmaster Community EXCEPTION IN STDSTORAGE::READ() 
child of 0029344closedbugmaster Open CASCADE Foundation Classes, TCollection_AsciiString - replace confusing strncpy with memcpy 

-  Notes
(0097238)
git (administrator)
2020-12-02 14:31

Branch CR31972 has been created by kgv.

SHA-1: ccd87c639ebb0be36f0faaa936df9d8f9d1a420e


Detailed log of new commits:

Author: kgv
Date: Wed Dec 2 14:28:38 2020 +0300

    0031972: Application Framework, FSD_CmpFile - exception on reading file in old persistence format with Windows EOL
    
    FSD_CmpFile::ReadLine()/FSD_CmpFile::ReadString() now use TCollection_AsciiString::Trunc()
    instead of ill-formed character assignment to '\0'.
(0097239)
git (administrator)
2020-12-02 14:32

Branch CR31972 has been updated forcibly by kgv.

SHA-1: a92ea4a3e7e273e993581463dd1636013afdade2
(0097248)
kgv (developer)
2020-12-02 16:02

Trivial patch is ready for review
- OCCT branch: CR31972.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31972-master-KGV [^]
(0097250)
mpv (developer)
2020-12-02 17:45

Reviewed
OCCT branch: CR31972
Products branch: NOTHING
(0097347)
bugmaster (administrator)
2020-12-05 11:57

Combination -
OCCT branch : IR-2020-12-04
master SHA - 1e08a76f1e872a1f38931a6c3e8cf71396fc1209
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-04 SHA - cb56638fb6b31df41b28133f69a1dc202dcb56aa
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18090.67999999998 / 18052.040000000085 [+0.21%]
Products
Total CPU difference: 12342.950000000128 / 12326.850000000131 [+0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 19751.5 / 19705.828125 [+0.23%]
Products
Total CPU difference: 13772.515625 / 13793.796875 [-0.15%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097358)
git (administrator)
2020-12-05 13:01

Branch CR31972 has been deleted by inv.

SHA-1: a92ea4a3e7e273e993581463dd1636013afdade2

- Related Changesets
occt: master 60785509
Timestamp: 2020-12-02 11:28:38
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031972: Application Framework, FSD_CmpFile - exception on reading file in old persistence format with Windows EOL

FSD_CmpFile::ReadLine()/FSD_CmpFile::ReadString() now use TCollection_AsciiString::Trunc()
instead of ill-formed character assignment to '\0'.
mod - src/FSD/FSD_CmpFile.cxx Diff ] File ]
add - tests/caf/basic/W12 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-12-02 13:01 kgv New Issue
2020-12-02 13:01 kgv Assigned To => kgv
2020-12-02 13:02 kgv Relationship added child of 0029344
2020-12-02 13:02 kgv Description Updated View Revisions
2020-12-02 14:31 git Note Added: 0097238
2020-12-02 14:32 git Note Added: 0097239
2020-12-02 14:34 kgv Description Updated View Revisions
2020-12-02 14:34 kgv Steps to Reproduce Updated View Revisions
2020-12-02 14:51 kgv Relationship added has duplicate 0031968
2020-12-02 16:02 kgv Note Added: 0097248
2020-12-02 16:02 kgv Assigned To kgv => mpv
2020-12-02 16:02 kgv Status new => resolved
2020-12-02 17:45 mpv Note Added: 0097250
2020-12-02 17:45 mpv Assigned To mpv => bugmaster
2020-12-02 17:45 mpv Status resolved => reviewed
2020-12-05 11:57 bugmaster Note Added: 0097347
2020-12-05 11:57 bugmaster Status reviewed => tested
2020-12-05 12:08 bugmaster Test case number => caf/basic/W12
2020-12-05 12:15 bugmaster Changeset attached => occt master 60785509
2020-12-05 12:15 bugmaster Status tested => verified
2020-12-05 12:15 bugmaster Resolution open => fixed
2020-12-05 13:01 git Note Added: 0097358


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker